Package Details: llpp-git 30.r22.g6905dbc-1

Git Clone URL: https://aur.archlinux.org/llpp-git.git (read-only)
Package Base: llpp-git
Description: A graphical PDF viewer which aims to superficially resemble less(1).
Upstream URL: http://repo.or.cz/w/llpp.git
Licenses: custom
Conflicts: llpp
Provides: llpp
Submitter: mfwitten
Maintainer: aksr
Last Packager: aksr
Votes: 60
Popularity: 0.000393
First Submitted: 2010-10-26 22:21
Last Updated: 2019-02-03 08:48

Dependencies (37)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

mfwitten commented on 2013-12-26 10:55

How's that?

alxarch commented on 2013-12-25 09:52

Latest build on fresh installation requires glu also

darkxsun commented on 2013-10-16 15:26

This PKGBUILD is storing the local git clone in 'repo/', which conflicts with (e.g.) the repo package. It should probably store in (something like) 'llpp/' instead.

menta commented on 2013-08-13 13:58

Thank you for including llppac in the package. You may also include a .desktop file, see a draft here: http://pastebin.com/ceCVuni7. The list of supported MIME types was generated with the following script: http://pastebin.com/hi6LPW6y.

By investigating the llppac script and running it on sample files I discovered additional optional dependencies:
'antiword: conversion of Microsoft Word (.doc) documents (option 2)'
'zip: handling of png and jpeg images'
'texlive-core: dvi conversion'

A minor comment: Members of the "base" and "base-devel" groups should not be included in makedepends array (https://wiki.archlinux.org/index.php/PKGBUILD#makedepends). I think members of the "base" group are also meaningless in the optdepends array. To check those:
pacman -Qi file gzip bzip2 bash make gcc | grep -E "Name|Groups"

menta commented on 2013-07-23 09:42

Please package the llppac script as well. You may use the following lines for optdepends:
'xsel: Text selection'
'unoconv: conversion of office documents'
'imagemagick: image conversion'
'librsvg: svg conversion (option #1)'
'inkscape: svg conversion (option #2)'
'princexml: html conversion'
'ghostscript: ps, dvi and djvu conversion'
'djvulibre: djvu conversion'

More info: https://sympa.inria.fr/sympa/arc/caml-list/2013-07/msg00043.html

Thank you in advance!

mfwitten commented on 2013-05-20 08:58

For some reason, I was no longer receiving notifications about comments. The PKGBUILD has now been updated as suggested.

Earnest commented on 2013-04-30 21:29

Updated PKGBUILD for pacman 4.1 ==> http://ix.io/5pY/sh

Earnest commented on 2013-04-30 20:48

Updated and standard PKGBUILD: http://ix.io/5pX/sh

Anonymous comment on 2013-02-01 12:53

PKGBUILD still needs MAKEFLAGS='-j1'

mutterschiff commented on 2012-10-02 06:27

I get this errors on the new pkgbuild:
Fatal error: cannot find file '../src/var2def'
Fatal error: cannot find file '../src/var2switch'
Fatal error: cannot find file '../src/var2def'
Fatal error: cannot find file '../src/var2switch'